SystemOrganization addCategory: #SeasideSqueak37!

!Color methodsFor: '*SeasideSqueak37' stamp: 'avi 4/29/2004 13:06'!
asHTMLColor
	^ '#', self hex! !

!Color methodsFor: '*SeasideSqueak37' stamp: 'mb 5/13/2006 07:45'!
hex
	| aStream |
	aStream _ (String new: 6) writeStream. 
	aStream nextPutAll: (((self red * 255) asInteger printStringBase: 16)
		padded: #left to: 2 with: $0).
	aStream nextPutAll: (((self green * 255) asInteger printStringBase: 16)
		padded: #left to: 2 with: $0).
	aStream nextPutAll: (((self blue * 255) asInteger printStringBase: 16)
		padded: #left to: 2 with: $0).
	^ aStream contents
! !

!String methodsFor: '*SeasideSqueak37' stamp: 'pmm 3/19/2007 15:43'!
isByteString
	"Answer whether the receiver is a ByteString"
	^true! !

!Symbol methodsFor: '*SeasideSqueak37' stamp: 'mb 5/29/2006 19:12'!
asMutator
	"Needed when using Seaside on older versions of Squeak,
	method not exported to vw"
	^ (self copyWith: $:) asSymbol.! !

!BlockContext methodsFor: '*SeasideSqueak37' stamp: 'md 10/7/2004 15:26'!
valueWithPossibleArgument: anArg 

     "Evaluate the block represented by the receiver. 
     If the block requires one argument, use anArg, if it requires more than one,
     fill up the rest with nils."

	self numArgs = 0 ifTrue: [^self value].
	self numArgs = 1 ifTrue: [^self value: anArg].
	self numArgs  > 1 ifTrue: [^self valueWithArguments: {anArg}, (Array new: self numArgs  - 1)]! !

!Stream methodsFor: '*SeasideSqueak37' stamp: 'avi 8/31/2003 15:48'!
closed
	^false! !
